Skip to main content
`Ctrl`+`K`

# MatCholeskyFactorNumeric

Performs numeric Cholesky factorization of a symmetric matrix. Call this routine after first calling `MatGetFactor()` and `MatCholeskyFactorSymbolic()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactorNumeric(Mat fact, Mat mat, const MatFactorInfo *info)

Collective

## Input Parameters

- fact - the factor matrix obtained with `MatGetFactor()`, where the factored values are stored

- mat - the initial matrix that is to be factored

- info - options for factorization

## Note

Most users should employ the `KSP` interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., `KSPCreate()`.

## Developer Note

The Fortran interface is not autogenerated as the interface definition cannot be generated correctly [due to `MatFactorInfo`]

## See Also

Matrices, `Mat`, Matrix Factorization, `MatFactorInfo`, `MatGetFactor()`, `MatCholeskyFactorSymbolic()`, `MatCholeskyFactor()`, `MatLUFactorNumeric()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatCholeskyFactorNumeric_SeqAIJ() in src/mat/impls/aij/seq/aijfact.c
MatCholeskyFactorNumeric_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatCholeskyFactorNumeric_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.c
MatCholeskyFactorNumeric_SeqDense() in src/mat/impls/dense/seq/dense.c
MatCholeskyFactorNumeric_Elemental() in src/mat/impls/elemental/matelem.cxx
MatCholeskyFactorNumeric_CHOLMOD() in src/mat/impls/sbaij/seq/cholmod/sbaijcholmod.c
MatCholeskyFactorNumeric_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c
MatCholeskyFactorNumeric_HT() in src/mat/impls/transpose/htransm.c
MatCholeskyFactorNumeric_Transpose() in src/mat/impls/transpose/transm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages